> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/svn/dokumentacija-api/pregled-zahtevkov-api-ja-geopard/55.-nalozi-zip-datoteke-nad-6-mb.md).

# 55. Naloži zip datoteke (nad 6 MB)

Kot tehnična omejitev ponudnika oblaka AWS je nalaganje datotek, večjih od 6 MB, treba izvesti v 2 korakih:

#### **1. Zahtevajte predhodno podpisano povezavo za nadaljnje neposredno nalaganje.**  <a href="#step1" id="step1"></a>

Kot vhod:&#x20;

* `fileType` - `prinos` ALI `tla` ALI `uporabljene` ALI `adapt` ALI `meja`,&#x20;
* `farmUuid` (neobvezno) - uuid kmetije, v katero uvozite datoteko.&#x20;

Kot izhod:

* `uuid` - pričakovani uuid po nalaganju in obdelavi,
* `farmUuid` - enako kot vhod,
* `fileType` - enako kot vhod,
* `s3Url` - URL, uporabljen za nalaganje datoteke,
* `s3Fields` - atributi, ki jih je treba vključiti v obrazec za nalaganje datoteke.

Podrobnosti o tem, kako uporabiti `s3Url` in `s3Fields` so opisane v drugem koraku.&#x20;

Atributi so veljavni le 60 minut za nalaganje datoteke.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutacija GeneratePresignedPostFileData {
  generatePresignedPostFileData(vhod:{
    fileType: applied
    farmUuid: "8bba5132-3a92-4ce1-8699-220e78ad68bd"
  } ) {
    uuid
    farmUuid
    fileType
    s3Url
    s3Fields
  }
}

```

{% endcode %}

#### **2. Pošljite lokalno datoteko na s3Url z vnaprej določenimi atributi obrazca iz s3Fields.**  <a href="#step2" id="step2"></a>

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl --location --request POST '<s3Url>' \
--form 'key="<value_in_s3Fields>"' \
--form 'AWSAccessKeyId="<value_in_s3Fields>"' \
--form 'x-amz-security-token="<value_in_s3Fields>"' \
--form 'policy="<value_in_s3Fields>"' \
--form 'signature="<value_in_s3Fields>"' \
--form 'file=@"<local_file_path>"'
```

{% endcode %}

Obvestila o obdelavi bodo dostavljena prek mehanizma naročnin, opisanega v\
&#x20;[1. Naročnina: Prejem dogodkov](/geopard-tutorials/svn/dokumentacija-api/pregled-zahtevkov-api-ja-geopard/1.-narocnina-pridobi-dogodke.md).

{% hint style="info" %}
Glava odgovora vključuje `Etag` glavo, ki se pojavi na primer kot `Etag: "6fd3e76992738357ab50039f2c60024e"`. Ta vrednost se nato uporablja v GraphQL [poizvedbi getPlatformContext](/geopard-tutorials/svn/dokumentacija-api/pregled-zahtevkov-api-ja-geopard/83.-poizvedba-zberi-kontekst-platforme.md) za spremljanje napredka obdelave, pa tudi povezave z entitetami "Field", "AsAppliedDataset", "YieldDataset" in "SoilDataset".
{% endhint %}

{% hint style="info" %}
Uporabite `‘Accept-Encoding’:’gzip, deflate, br’`.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/svn/dokumentacija-api/pregled-zahtevkov-api-ja-geopard/55.-nalozi-zip-datoteke-nad-6-mb.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
